Bug 84564 - xchat doesn't include the latest translation in zh_CN locale
xchat doesn't include the latest translation in zh_CN locale
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: xchat (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-18 18:56 EST by Sarah Wang
Modified: 2013-02-12 23:47 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.0.2-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-21 09:35:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xchat-stable zh_CN translation (142.82 KB, application/octet-stream)
2003-02-18 20:59 EST, Sarah Wang
no flags Details
xchat head translation for zh_CN (81.92 KB, application/octet-stream)
2003-02-18 21:01 EST, Sarah Wang
no flags Details

  None (edit)
Description Sarah Wang 2003-02-18 18:56:01 EST
Description of problem:
the latest build didn't include the latest translation in GNOME CVS.

Version-Release number of selected component (if applicable):
xchat 1.8.11

How reproducible:
every time

Steps to Reproduce:
1.install beta5, choose zh_CN as the default language
2.run xchat
3.
    
Actual results:
the old translation

Expected results:
new translation

Additional info:
The translation has been changed and committed into GNOME CVS a few months ago.
Comment 1 Mike A. Harris 2003-02-18 19:52:34 EST
I'll need a patch attached to the bug report before I can review it
for possible inclusion.
Comment 2 Sarah Wang 2003-02-18 20:59:22 EST
Created attachment 90174 [details]
xchat-stable zh_CN translation

It is the current stable version translation (1.8.x) for zh_CN locale. In UTF-8
encoding.
Comment 3 Sarah Wang 2003-02-18 21:01:26 EST
Created attachment 90175 [details]
xchat head translation for zh_CN

It is the current head translation (1.9.x) in zh_CN locale.
Comment 4 Sarah Wang 2003-02-18 21:04:45 EST
All xchat po files originally located in GNOME CVS: gnome-i18n/extra-po/xchat
and gnome-i18n/extra-po/xchat-stable, but for reasons I don't know, they have
been removed from CVS. I have attached these two translations. Hopefully you can
incorparate them into the next built.

Thanks,

Sarah
Comment 5 Leon Ho 2003-05-07 20:48:02 EDT
Mike, are we thinking of updating to latest translation? 
Comment 6 Michael Hideo 2003-05-07 20:55:20 EDT
Leon,

Yes. If possible.
Comment 7 Mike A. Harris 2003-05-07 21:46:22 EDT
xchat 1.8.x is not going to be in our next release as I'll be updating
to 2.x, so updating translations in 1.8 when it will never get shipped, is
going to just be a waste of time likely.

The best thing to do, is to get any changes into an official xchat release
directly, so that we are using as close-to-stock xchat as possible, and
don't have to add patches for things like this.

I'll update this report when I put 2.x in rawhide though, and we can
reinvestigate it to see if translations are outdated, etc.
Comment 8 Mike A. Harris 2003-05-21 09:35:57 EDT
Rawhide now contains xchat 2.0.2, and appears to have an updated zh_CN.po
already:

pts/14
mharris@devserv:~/rpmbuild/rpms/xchat/cvs-xchat-2_0_2-4/xchat/xchat-2.0.2/po$ dir
total 2016
drwxr-xr-x    2 mharris  mharris      4096 Apr 21 13:13 ./
drwxrwxr-x    6 mharris  mharris      4096 May 21 09:35 ../
-rw-r--r--    1 mharris  mharris         0 Nov 28 05:30 ChangeLog
-rw-r--r--    1 mharris  mharris      6900 Nov 28 05:30 Makefile.in.in
-rw-r--r--    1 mharris  mharris       637 Feb 24 21:29 POTFILES.in
-rw-r--r--    1 mharris  mharris     92989 Apr 21 13:12 am.po
-rw-r--r--    1 mharris  mharris    112016 Apr 21 13:12 ca.po
-rw-r--r--    1 mharris  mharris         0 Nov 28 05:39 cat-id-tbl.c
-rw-r--r--    1 mharris  mharris    108858 Apr 21 13:12 de.po
-rw-r--r--    1 mharris  mharris    110640 Apr 21 13:12 el.po
-rw-r--r--    1 mharris  mharris    128447 Apr 21 13:12 es.po
-rw-r--r--    1 mharris  mharris    119251 Apr 21 13:12 et.po
-rw-r--r--    1 mharris  mharris    114898 Apr 21 13:12 lt.po
-rw-r--r--    1 mharris  mharris    110886 Apr 21 13:12 lv.po
-rw-r--r--    1 mharris  mharris     99666 Apr 21 13:12 ms.po
-rw-r--r--    1 mharris  mharris    112059 Apr 21 13:12 nl.po
-rw-r--r--    1 mharris  mharris     89115 Apr 21 13:12 no.po
-rw-r--r--    1 mharris  mharris    105683 Apr 21 13:12 pt.po
-rw-r--r--    1 mharris  mharris    154311 Apr 21 13:12 sk.po
-rw-r--r--    1 mharris  mharris    137976 Apr 21 13:12 sl.po
-rw-r--r--    1 mharris  mharris    158111 Apr 21 13:12 sv.po
-rw-r--r--    1 mharris  mharris     84121 Apr 21 12:58 xchat.pot
-rw-r--r--    1 mharris  mharris     96675 Apr 21 13:12 zh_CN.po


Closing as RAWHIDE as I believe it is likely up to date.  Feel free to
reopen if it still requires updating.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.